#
# spec file for package python-pyfiglet
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyfiglet
Version:        0.7.6
Release:        lp151.2.1
Summary:        Pure Python FIGlet implementation
License:        GPL-2.0-or-later
Group:          Development/Languages/Python
Url:            https://github.com/pwaller/pyfiglet
Source:         https://files.pythonhosted.org/packages/source/p/pyfiglet/pyfiglet-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
PyFIGlet is a full port of FIGlet (http://www.figlet.org/) into pure
Python. It takes ASCII text and renders it in ASCII art fonts.

%prep
%setup -q -n pyfiglet-%{version}
sed -i -e '/^#!\//, 1d' pyfiglet/__init__.py pyfiglet/test.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
# Fix python-bytecode-inconsistent-mtime
%python_expand $python -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/pyfiglet/fonts/
%python_expand $python -O -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/pyfiglet/fonts/
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README
%license LICENSE
%python3_only %{_bindir}/pyfiglet
%{python_sitelib}/*

%changelog
* Thu Nov  8 2018 Antonio Larrosa <alarrosa@suse.com>
- Remove BuildRequires python-devel
* Tue Nov  6 2018 Jan Engelhardt <jengelh@inai.de>
- Fix typography.
* Mon Nov  5 2018 Todd R <toddrme2178@gmail.com>
- Initial version
